Bug Hunting Session
Bug 51756 - scrollbars display differently when editing vs "print preview" vs when actually printed
Summary: scrollbars display differently when editing vs "print preview" vs when actual...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
3.5.5.3 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Scrollbars
  Show dependency treegraph
 
Reported: 2012-07-05 10:33 UTC by Pierre C
Modified: 2017-02-12 14:48 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
example (9.14 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-07-05 10:33 UTC, Pierre C
Details
pdf of the example (16.52 KB, application/pdf)
2012-07-05 10:34 UTC, Pierre C
Details
summary of calc, print prevew and print result (68.32 KB, application/vnd.oasis.opendocument.graphics)
2012-07-14 08:14 UTC, Pierre C
Details
sample document (38.79 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-10-07 06:44 UTC, Pierre C
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pierre C 2012-07-05 10:33:00 UTC
Created attachment 63865 [details]
example

when using cursor, different problem happens with printing them

step to reproduce

new sheet
add a cursor, move the cursor

print preview. you can see the cursor position (but you can see it on print preview)

print the sheet, you can't see the cursor position, the cursor can't be seen

change the back ground colour to white and the colour to black, move the cursor

on print preview, you can see where the cursor is. the cursor is always at the beginning

and you can see that the background colour is not the good back ground colour (the one on you can see on the sheet)

change the colours white <-> black

you on print preview, the cursor is at the good position
Comment 1 Pierre C 2012-07-05 10:34:07 UTC
Created attachment 63866 [details]
pdf of the example
Comment 2 Pierre C 2012-07-14 08:14:12 UTC
Created attachment 64191 [details]
summary of calc, print prevew and print result

No one can help confirming this ?

Am I the only one trying to print cursors ?

No one consider annoying to have huge differences between what we see and what we print ?

please just take a little of your time to tell me to go away and stop wasting my time here

I've just add a summary of the problems
Comment 3 billhook 2012-07-15 01:28:18 UTC
What is a cursor?

> No one can help confirming this ?

Your English is unclear. "you can see the cursor position (but you can see it on print preview)". This is strange phrasing. "you on print preview". What do you mean by this?

Also, use proper case (sentences begin with a capital letter, usually).

The third post has an odg file as an attachment. What is an odg file??

What is the pdf of in the second post?
Comment 4 Pierre C 2012-07-15 07:25:33 UTC
Thank you trying to help me

Yes, my English is ugly. English is not my native language

I gave three files :

With the first one, just open it. Make a print preview, and look at the differences. And print it and Look at the differences again.

The second file, the pdf file, is the print result that I have with my computer

I gave a third file, with contain a screen copy of calc, a screen copy of calc , and a screen copy of the pdf file with is the print result.
On this file, I tried to show the differences.

what is a cursor ?

I don't now the English name of this. but on the first file, there are four of them.

It is something from witch I can move the position of a square. When printing it, I can't see the square.

Sometime the square is always at the beginning (when printing it) whatever position it is on calc 

I tried to do my best to be understood
Comment 5 Pierre C 2012-07-15 07:45:26 UTC
I've downloaded an English version of LibreOffice

I'm talking about scrollbar
Comment 6 billhook 2012-07-21 21:53:44 UTC
Confirmed on WinXP SP3 LO 3.5.5.3

Just to summarise the bug:

Steps to reproduce:

1. Open the attacked spreadsheet.
2. Move the 2nd and 4th scrollbars all the way to the right.
3. File->Page preview

Observed behaviour: The sliders on the 2nd and 4th scrollbars are displayed all the way to the left.

Expected behaviour: The sliders on those scrollbars should be displayed in the position they are in on the document (i.e. all the the way to the right)

Interestingly, I don't get the same problem with the 1st and 3rd scrollbars.

Now, print the document. (e.g. to PDF).

Observed behaviour: The sliders on the scrollbars look different again. They are not clearly visible (see the 2nd attachment PDF file)

Expected behaviour: The printed document should look the same as the document when editing.
Comment 7 Pierre C 2012-10-07 06:44:41 UTC
Created attachment 68189 [details]
sample document
Comment 8 Pierre C 2012-10-07 06:48:50 UTC
Is there a chance  for this bug to be considered ?

for me, it is a very annoying bug, and there is no workaround

I've spent a lot of time to produce the sample document, and this document must be printed for my administration.

So at least, can someone tell me if there is a chance to have this bug solved within six month ? so that I can consider another way to do my job
Comment 9 billhook 2012-10-08 22:20:56 UTC
Perhaps as a workaround you could take a screenshot then print that?
Comment 10 Pierre C 2012-12-05 16:54:33 UTC
No one can answer my question.
I consider that "you won't have any answer" is an answer

the bug is still present in 3.4 alpha
Comment 11 Norbert X 2013-03-03 17:02:25 UTC
Bug is still exists in 3.5.7.2.
Comment 12 retired 2013-03-03 17:07:43 UTC
nrbrtx@gmail.com: Could you test LO 4.0 and see if this issue is still valid?
Comment 13 billhook 2013-03-04 04:28:31 UTC
I retested on 4.0.1.2

The bug with print preview is still there. i.e. "The sliders on the 2nd and 4th scrollbars are displayed all the way to the left."

The actual printed output does look better to me than it did under 3.5, but I am not sure if it would fix the OPs requirements.
Comment 14 QA Administrators 2015-04-19 03:22:47 UTC Comment hidden (obsolete)
Comment 15 Pierre C 2015-04-19 14:44:39 UTC
Same problems with LO 4.3.7.1
Comment 16 QA Administrators 2016-09-20 09:33:13 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920